Bug 1019364 - There is little information on RHN repositories in documentation
There is little information on RHN repositories in documentation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-System_Administrators_Guide (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Stephen Wadeley
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 10:52 EDT by Deon Ballard
Modified: 2015-05-13 04:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-13 04:49:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deon Ballard 2013-10-15 10:52:16 EDT
This came in from a customer. He was attempting to determine the list of CDN repos to which he had access. 

This is possible with....
subscription-manager repos --list

Which was told to him. But he thought it would be useful to have general information in the docs about the kind of repos there are -- beta, optional, "normal"... The customer referenced this section in the deployment guide as a beginning point, but he would like more detail:
https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Deployment_Guide/sec-Setting_repository_Options.html

FWIW, I also had some similar limitations writing the subscription docs, so I have this in my guide:
https://access.redhat.com/site/documentation/en-US/Red_Hat_Subscription_Management/1/html/RHSM/entitlements-and-yum.html

Maybe in the new Sys Admin guide, there can be something that covers....

* RHN/CDN-related tools (subscription-manager) for repository lists (I am doing a short "registration" guide, and I can put it there, but it may make sense to keep it with whatever RPM / content management chapters we have).

* How to get repo lists

* How to enable repos

* What general types of repos (default, beta, optional, debug, etc) are available
Comment 2 Jaromir Hradilek 2014-06-30 13:14:06 EDT
Thank you very much for taking the time to report this issue, Deon. I am moving this bug to Red Hat Enterprise Linux 7 to see if we can resolve this in the System Administrator's Guide.
Comment 6 Stephen Wadeley 2015-05-13 04:49:37 EDT
Hello

This subsection was added:

 Adding the Optional and Supplementary Repositories

and we renamed the guide section which contains the yum chapter to "Installing and Managing Software" to make it easier for those who do not know what yum is.

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/System_Administrators_Guide/sec-Configuring_Yum_and_Yum_Repositories.html#sec-Adding_the_Optional_and_Supplementary_Repositories



We also recently added a guide section "Subscription and Support" with a chapter:
Registering the System and Managing Subscriptions

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/System_Administrators_Guide/chap-Subscription_and_Support-Registering_a_System_and_Managing_Subscriptions.html

Thank you

Note You need to log in before you can comment on or make changes to this bug.